# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

cond.pl - Demonstrate various conditional expressions

=head1 SYNOPSIS

    perl cond.pl

=head1 DESCRIPTION

The I<cond.pl> script demonstrates the use of some conditional operators 
which are use inside B<if> statements.

=head1 EXAMPLES

Sample run:

    perl cond.pl
    Argument "baker" isn't numeric in numeric eq (==) at cond.pl line 125.
    Argument "able" isn't numeric in numeric eq (==) at cond.pl line 125.
    19 <= 101
    able == baker

=head1 DIAGNOSTICS

Warnings are issued because we use C<==> to compare strings where we should 
have used C<eq>.

=head1 COPYRIGHT

Copyright 2001, Newriders Inc.

=cut
use strict;
use warnings;

if ("19" <= "101") {       # TRUE (numeric compare)
    print "19 <= 101\n";    
}

if ("19" le "101") {       # FALSE (string compare)
    print "19 le 101\n"
}

if ("able" eq "baker") {   # FALSE (string compare)
    print "able eq baker\n";
}

if ("able" == "baker") {    # TRUE (numeric compare), but warning issued
    print "able == baker\n";
}
