# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

divide.pl - Divide two numbers

=head1 SYNOPSIS

    perl divide.pl

=head1 DESCRIPTION

The I<divide.pl> script demonstrates some basic Perl operators and performs a simple
divide.

=head1 BUGS

A dime store calculator does more computations and is easier to use.

=head1 COPYRIGHT

Copyright 2001, Newriders Inc.

=cut

# Divided one number by another
use strict;
use warnings;

print "Enter a number: ";
my $num1 = <STDIN>;
chomp($num1);

print "Enter a second number: ";
my $num2 = <STDIN>;
chomp($num2);

# We should check $num1 and $num2 to make sure that
# they were numeric.   We'll learn how in a later 
# chapter.

if ($num2 == 0) {
    print "ERROR: Can't divide by zero\n";
} else {
    my $result = $num1 / $num2;
    print "$num1 / $num2 = $result\n";
}
