# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

steam.pl - Compute the pulling power of a steam locomotive

=head1 SYNOPSIS

    perl steam.pl

=head1 DESCRIPTION

The I<steam.pl> computes the pulling power of a steam engine with 16" cylinders
and an operating pressure of 120 PSI.

=head1 BUGS

Cylinder size and operating pressure are hardwired in.


=head1 COPYRIGHT

Copyright 2001, Newriders Inc.

=cut
use strict;
use warnings;

my $cylinder = 16;   # Cylinder size is 16 inches (diameter)
my $pressure = 120;  # Operating pressure in PSI

# Pressure at the cross head using the famous  pi r <squared>
my $effort = 3.14159 * ($cylinder / 2.0) ** 2;

print "Total pressure on the cylinder $effort\n";
