# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

read1.pl - Program fragment to read data and store it in an array

=head1 SYNOPSIS

    perl read1.pl

=head1 DESCRIPTION

Since this is a code demonstration, read the code to figure
out what is going on.

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
# Note: This program is inefficient
use strict;
use warnings;

my @array = ();	# The list of numbers we have read

while (1) {
    print "Input number or <Enter> to finish: ";
    # The answer from the user
    my $answer = <STDIN>;
    chomp($answer);

    if ($answer eq "") {
        last;
    }
    # WRONG: Inefficient.  Use push instead
    @array = (@array, $answer);
}
