# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

read_hash.pl - Reads a hash table from an file 

=head1 SYNOPSIS

    perl read_hash.pl 

=head1 DESCRIPTION

The I<read_hash.pl> reads a hash table from I<hash.txt> and prints
the resuls.  It is a demonstration of simple hash reading.


=head1 FILE FORMAT

	key: 	value

Where I<key> is the hash key and I<value> is the value for
that key.

=head1 BUGS

No error checking.

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

my %hash;    # The hash to read

open IN_FILE, "<hash.txt" or die("Could not open hash.txt");

my $line;	# Current line

while ($line = <IN_FILE>) {
    $line =~ /([^:]*):\s+(.*)/;
    $hash{$1} = $2;
}
# ... a set of operators and functions
close (IN_FILE);

