# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

spell.pl - Fix common spelling errors

=head1 SYNOPSIS

    perl spell.pl < {in-file} > {out-file}

=head1 DESCRIPTION

The I<spell.pl> corrects common spelling errors in a list of words.  
(Well, only three of them actually.)   

It is a demonstration of the use of simple hashes.

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

my %fix_words;	# Hash containing bad words and their fixes

$fix_words{beleive} = "believe";
$fix_words{adminstration} = "administration";
$fix_words{skool} = "school";

my $line;
while ($line = <STDIN>) {
    chomp($line);		# Remove newline

    # Is there a fix for the word?
    if (defined ($fix_words{$line}))
    {
        # yes - print it
        print "$fix_words{$line}\n";
    }
    else
    {
        # No - print the word
        print "$line\n";
    }
}
