# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

test_over.pl - Test the I<time_over> package.

=head1 SYNOPSIS

    perl test_over.pl

=head1 DESCRIPTION

The I<test_over.pl> command tests the I<time_over> package.

=head1 EXAMPLES

Sample run:

	perl test_over.pl
	1:30 + 8:40 = 10:10
	1:30 + 10 = 11:30
	10 - 8:40 = 1:20
	8:40 - 1 = 7:40
	8:40 += 2 => 10:40
	10:40++ => 11:40

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

use time_over;

# Some times to work with
my $time1 = time_over->new(1,30);
my $time2 = time_over->new(8,40);

my $time3 = $time1 + $time2;
print "$time1 + $time2 = $time3\n";

my $time4 = $time1 + 10;
print "$time1 + 10 = $time4\n";

my $time5 = 10 - $time2;
print "10 - $time2 = $time5\n";

$time5 = $time2 - 1;
print "$time2 - 1 = $time5\n";

my $time6 = time_over->new(8,40);
my $time7 = $time6;
$time6 += 2;
print "8:40 += 2 => $time6\n";

$time6++;
print "10:40++ => $time6\n";
