# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

time_obj.pl - Test the time_objhash.pm package

=head1 SYNOPSIS

    perl time_obj.pl
    Time1 is 1:30
    Time2 is 8:40
    Time1 is 10:10

=head1 DESCRIPTION

The I<time_obj.pl> program tests out the I<time_objhash> package.

=head1 EXAMPLES

Sample run:

	perl time_obj.pl

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut

use strict;
use warnings;

use time_objhash;

# A Time to test with
my $time1 = time_objhash->new(1,30);
# Another time
my $time2 = time_objhash->new(8,40);

# Do something with time
print "Time1 is ", $time1->to_string(), "\n";
print "Time2 is ", $time2->to_string(), "\n";
$time1->add($time2);
print "Time1 is ", $time1->to_string(), "\n";
