#!/usr/bin/perl -T
# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

record.pl - Write out CGI parameters

=head1 SYNOPSIS

    record.pl

=head1 DESCRIPTION

The I<record.pl> dumps out the CGI parameters and the environment
avaliable to the program.  Very useful for debugging CGI forms.

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;

use CGI::Thin;
use CGI::Carp  qw(fatalsToBrowser);
use HTML::Entities;

sub debug()
{
    print "<H1>DEBUG INFORMATION</H1>\n";
    print "<H2>Form Information</H2>\n";
    my %form_info = Parse_CGI();
    foreach my $cur_key (sort keys %form_info) {
	print "<BR>";
	if (ref $form_info{$cur_key}) {
	    foreach my $value (@{$form_info{$cur_key}}) {
		print encode_entities($cur_key), " = ", 
		      encode_entities($value), "\n";
	    }
	} else {  
	    print encode_entities($cur_key), " = ", 
		  encode_entities($form_info{$cur_key}), "\n";
	}
    }
    print "<H2>Enviornment</H2>\n";
    foreach my $cur_key (sort keys %ENV) {
	print "<BR>";
	print encode_entities($cur_key), " = ", 
	encode_entities($ENV{$cur_key}), "\n";
    }
}

print "Content-type: text/html\n";
print "\n";
debug();
