# The lines from here to the =cut are part of Perl's
# internal documentation system.  If you want 
# view the documentation use the command:
#
#	pod2text <script>
#
=pod

=head1 NAME

error.pl - Test to see if we can call a Perl program from C

=head1 SYNOPSIS

    perl error.pl

=head1 DESCRIPTION

If all goes we'll your Perl program will call a C function which
will call a Perl funciton.

=head1 AUTHOR

Steve Oualline, E<lt>oualline@www.oualline.comE<gt>.

=head1 COPYRIGHT

Copyright 2002 Steve Oualline.
This program is distributed under the GPL.  

=cut
use strict;
use warnings;

use Inline "C";

sub handle_error($)
{
    my $msg = shift;

    print "ERROR: $msg\n";
    print "Continuing anyway\n";
}

cause_trouble();

__END__
__C__
// Function to check out the calling of the error function
void cause_trouble() {
    eval_pv("main::handle_error('Trouble caused');", 0);
    return;
}
