package mt_op;

use 5.006;
use strict;
use warnings;

require Exporter;
require DynaLoader;

our @ISA = qw(Exporter DynaLoader);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use mt_op ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	mt_op
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
mt_op	
);
our $VERSION = '0.01';

bootstrap mt_op $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You better edit it!

=head1 NAME

mt_mod - Perl extension for handling magnetic tapes

=head1 SYNOPSIS

  use mt_mod;
  my $status = mt_op($fd, $op, $count);

=head1 DESCRIPTION

The mt_op function allows you to perform operations such as rewind,
forward space file, and others on a magentic tape.  This is the Perl
version of the I<mt> command.   (See I<E<lt>sys/mtio.hE<gt>> for a
list of operation codes.)

=head2 EXPORT

  mt_op 

=head2 Exportable functions

  int mt_op(const int fd, const int op, const int count)

=head1 AUTHOR

Steve Oualline

=head1 SEE ALSO

mt(1)

=cut
